> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/da/udviklerressourcer/api-docs/vector-store/get-vector-stores-information.md).

# Hent vektorbutiksoplysninger

{% openapi src="<https://github.com/skydeckai/rememberizer-docs/blob/production/da/.gitbook/assets/rememberizer_openapi.yml>" path="/vector-stores/me" method="get" %}
<https://github.com/skydeckai/rememberizer-docs/blob/production/da/.gitbook/assets/rememberizer_openapi.yml>
{% endopenapi %}

## Eksempelanmodninger

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET \
  https://api.rememberizer.ai/api/v1/vector-stores/me \
  -H "x-api-key: DIN_API_NØGLE"
```

{% hint style="info" %}
Erstat `DIN_API_NØGLE` med din faktiske Vector Store API-nøgle.
{% endhint %}
{% endtab %}

{% tab title="JavaScript" %}

```javascript
const getVectorStoreInfo = async () => {
  const response = await fetch('https://api.rememberizer.ai/api/v1/vector-stores/me', {
    method: 'GET',
    headers: {
      'x-api-key': 'DIN_API_NØGLE'
    }
  });
  
  const data = await response.json();
  console.log(data);
};

getVectorStoreInfo();
```

{% hint style="info" %}
Erstat `DIN_API_NØGLE` med din faktiske Vector Store API-nøgle.
{% endhint %}
{% endtab %}

{% tab title="Python" %}

```python
import requests

def get_vector_store_info():
    headers = {
        "x-api-key": "DIN_API_NØGLE"
    }
    
    response = requests.get(
        "https://api.rememberizer.ai/api/v1/vector-stores/me",
        headers=headers
    )
    
    data = response.json()
    print(data)

get_vector_store_info()
```

{% hint style="info" %}
Erstat `DIN_API_NØGLE` med din faktiske Vector Store API-nøgle.
{% endhint %}
{% endtab %}
{% endtabs %}

## Response Format

```json
{
  "id": "vs_abc123",
  "name": "Min Vektorbutik",
  "description": "En vektorbutik til produktdokumentation",
  "embedding_model": "sentence-transformers/all-mpnet-base-v2",
  "indexing_algorithm": "ivfflat",
  "vector_dimension": 128,
  "search_metric": "cosine_distance",
  "created": "2023-06-01T10:30:00Z",
  "modified": "2023-06-15T14:45:00Z"
}
```

## Godkendelse

Denne endpoint kræver godkendelse ved hjælp af en API-nøgle i `x-api-key` headeren.

## Fejlrespons

| Statuskode | Beskrivelse                                      |
| ---------- | ------------------------------------------------ |
| 401        | Uautoriseret - Ugyldig eller manglende API-nøgle |
| 404        | Ikke fundet - Vektorbutik ikke fundet            |
| 500        | Intern serverfejl                                |

Denne endpoint henter oplysninger om vektorbutikken, der er knyttet til den angivne API-nøgle. Det er nyttigt til at tjekke konfigurationsdetaljer, herunder indlejringsmodellen, dimensioner og søgemetrik, der anvendes. Disse oplysninger kan være værdifulde for at optimere søgeforespørgsler og forstå vektorbutikkens kapaciteter.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rememberizer.ai/da/udviklerressourcer/api-docs/vector-store/get-vector-stores-information.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
